// Itens que podem ser craftados
const canCraft = [
  // Guns Craft
  {
    id: "mc:glock",  // ID do item que será "craftado"
    requirements: [
      { item: "minecraft:iron_ingot", amount: 14 }
    ],
    result: "addon:glock53"  // Resultado
  },
  {
    id: "mc:desert",
    requirements: [
      { item: "minecraft:diamond", amount: 2 },
      { item: "minecraft:gold_ingot", amount: 6 },
      { item: "minecraft:iron_ingot", amount: 42 },
      { item: "minecraft:blaze_rod", amount: 1 }
    ],
    result: "addon:m22" // Item de resultado
  },
  {
    id: "mc:cz",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 17 }
    ],
    result: "addon:rvl34"
  },
  {
    id: "mc:m4",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 38 },
      { item: "minecraft:lapis_lazuli", amount: 6 },
      { item: "minecraft:oak_log", amount: 8 }
    ],
    result: "addon:m42" // Item de resultado
  },
  {
    id: "mc:ak",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 38 },
      { item: "minecraft:lapis_lazuli", amount: 6 },
      { item: "minecraft:oak_log", amount: 10 }
    ],
    result: "addon:ak37" // Item de resultado
  },
  {
    id: "mc:acw",
    requirements: [
      { item: "minecraft:gold_ingot", amount: 9 },
      { item: "minecraft:iron_ingot", amount: 72 },
      { item: "minecraft:quartz", amount: 5 }
    ],
    result: "addon:acw" // Item de resultado
  },
  {
    id: "mc:mp5",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 36 },
      { item: "minecraft:lapis_lazuli", amount: 4 }
    ],
    result: "addon:pp42" // Item de resultado
  },
  {
    id: "mc:uzi",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 32 }
    ],
    result: "addon:xnc7" // Item de resultado
  },
  {
    id: "mc:dbn",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 14 },
      { item: "minecraft:oak_log", amount: 10 }
    ],
    result: "addon:dbn" // Item de resultado
  },
  {
    id: "mc:m95",
    requirements: [
      { item: "minecraft:diamond", amount: 15 },
      { item: "minecraft:gold_ingot", amount: 60 },
      { item: "minecraft:iron_ingot", amount: 300 },
      { item: "minecraft:netherite_ingot", amount: 3 },
      { item: "minecraft:blaze_rod", amount: 5 }
    ],
    result: "addon:mdxr" // Item de resultado
  },
  {
    id: "mc:awm",
    requirements: [
      { item: "minecraft:diamond", amount: 10 },
      { item: "minecraft:gold_ingot", amount: 50 },
      { item: "minecraft:iron_ingot", amount: 200 },
      { item: "minecraft:blaze_rod", amount: 5 }
    ],
    result: "addon:awm" // Item de resultado
  },
  {
    id: "mc:rpg",
    requirements: [
      { item: "minecraft:oak_log", amount: 10 },
      { item: "minecraft:gold_ingot", amount: 8 },
      { item: "minecraft:iron_ingot", amount: 70 },
      { item: "minecraft:lapis_lazuli", amount: 4 }
    ],
    result: "addon:rpg" // Item de resultado
  },
  {
    id: "mc:sks",
    requirements: [
      { item: "minecraft:oak_log", amount: 12 },
      { item: "minecraft:lapis_lazuli", amount: 8 },
      { item: "minecraft:iron_ingot", amount: 40 }
    ],
    result: "addon:aa15" // Item de resultado
  },
  {
    id: "mc:m249",
    requirements: [
      { item: "minecraft:diamond", amount: 10 },
      { item: "minecraft:gold_ingot", amount: 12 },
      { item: "minecraft:iron_ingot", amount: 60 },
      { item: "minecraft:lapis_lazuli", amount: 8 }
    ],
    result: "addon:rpk37" // Item de resultado
  },
  {
    id: "mc:vector",
    requirements: [
      { item: "minecraft:diamond", amount: 2 },
      { item: "minecraft:gold_ingot", amount: 6 },
      { item: "minecraft:iron_ingot", amount: 42 },
      { item: "minecraft:blaze_rod", amount: 1 }
    ],
    result: "addon:vec35" // Item de resultado
  },
  // Ammo Craft
  {
    id: "mc:glock_ammo",  // ID do item que será "craftado"
    requirements: [
      { item: "minecraft:gunpowder", amount: 2 },
      { item: "minecraft:copper_ingot", amount: 10 }
    ],
    result: "addon:glock53_ammo"  // Resultado
  },
  {
    id: "mc:desert_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 30 },
      { item: "minecraft:gunpowder", amount: 7 }
    ],
    result: "addon:m22_ammo" // Item de resultado
  },
  {
    id: "mc:cz_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 20 },
      { item: "minecraft:gunpowder", amount: 5 }
    ],
    result: "addon:rvl34_ammo"
  },
  {
    id: "mc:m4_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 15 },
      { item: "minecraft:gunpowder", amount: 5 }
    ],
    result: "addon:m42_ammo" // Item de resultado
  },
  {
    id: "mc:akm_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 15 },
      { item: "minecraft:lapis_lazuli", amount: 3 }
    ],
    result: "addon:ak37_ammo" // Item de resultado
  },
  {
    id: "mc:acw_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 24 },
      { item: "minecraft:lapis_lazuli", amount: 24 },
      { item: "minecraft:gunpowder", amount: 9 }
    ],
    result: "addon:acw_ammo" // Item de resultado
  },
  {
    id: "mc:mp5_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 10 },
      { item: "minecraft:gunpowder", amount: 2 }
    ],
    result: "addon:pp42_ammo" // Item de resultado
  },
  {
    id: "mc:uzi_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 10 },
      { item: "minecraft:gunpowder", amount: 2 }
    ],
    result: "addon:xnc7_ammo" // Item de resultado
  },
  {
    id: "mc:dbn_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 15 },
      { item: "minecraft:gunpowder", amount: 6 },
      { item: "minecraft:iron_nugget", amount: 9 }
    ],
    result: "addon:dbn_ammo" // Item de resultado
  },
  {
    id: "mc:m95_ammo",
    requirements: [
      { item: "minecraft:gunpowder", amount: 24 },
      { item: "minecraft:copper_ingot", amount: 72 },
      { item: "minecraft:iron_ingot", amount: 16 },
      { item: "minecraft:blaze_rod", amount: 5 }
    ],
    result: "addon:mdxr_ammo" // Item de resultado
  },
  {
    id: "mc:awm_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 25 },
      { item: "minecraft:gunpowder", amount: 10 },
      { item: "minecraft:lapis_lazuli", amount: 25 },
    ],
    result: "addon:awm_ammo" // Item de resultado
  },
  {
    id: "mc:rpg_ammo",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 6 },
      { item: "minecraft:gunpowder", amount: 12 }
    ],
    result: "addon:rpg_ammo" // Item de resultado
  },
  {
    id: "mc:sks_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 15 },
      { item: "minecraft:gunpowder", amount: 3 }
    ],
    result: "addon:aa15_ammo" // Item de resultado
  },
  {
    id: "mc:m249_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 15 },
      { item: "minecraft:gunpowder", amount: 3 }
    ],
    result: "addon:rpk37_ammo" // Item de resultado
  },
  {
    id: "mc:vector_ammo",
    requirements: [
      { item: "minecraft:copper_ingot", amount: 11 },
      { item: "minecraft:gunpowder", amount: 2 }
    ],
    result: "addon:vec35_ammo" // Item de resultado
  },
  // Attachment Craft
  {
    id: "mc:scope1",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 8 },
      { item: "minecraft:redstone", amount: 4 },
      { item: "minecraft:glass", amount: 2 }
    ],
    result: "addon:scope1" // Item de resultado
  },
  {
    id: "mc:scope2",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 12 },
      { item: "minecraft:gold_ingot", amount: 5 },
      { item: "minecraft:redstone", amount: 6 },
      { item: "minecraft:glass", amount: 4 }
    ],
    result: "addon:scope2" // Item de resultado
  },
  {
    id: "mc:scope3",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 16 },
      { item: "minecraft:redstone", amount: 10 },
      { item: "minecraft:amethyst", amount: 5 }
    ],
    result: "addon:scope3" // Item de resultado
  },
  {
    id: "mc:scope4",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 18 },
      { item: "minecraft:amethyst", amount: 8 },
      { item: "minecraft:glowstone_dust", amount: 8 },
      { item: "minecraft:redstone", amount: 8 }
    ],
    result: "addon:scope4" // Item de resultado
  },
  {
    id: "mc:silencer",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 10 },
      { item: "minecraft:redstone", amount: 2 }
    ],
    result: "addon:silencer" // Item de resultado
  },
  {
    id: "mc:skeleton",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 15 }
    ],
    result: "addon:skeleton_grip" // Item de resultado
  },
  {
    id: "mc:angeled",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 18 },
      { item: "minecraft:gold_ingot", amount: 4 },
      { item: "minecraft:leather", amount: 4 }
    ],
    result: "addon:angeled_grip" // Item de resultado
  },
  {
    id: "mc:vertical",
    requirements: [
      { item: "minecraft:iron_ingot", amount: 11 },
      { item: "minecraft:leather", amount: 4 }
    ],
    result: "addon:vertical_grip" // Item de resultado
  }
];

export { canCraft }