import { world } from "@minecraft/server"
import { ItemStack } from "@minecraft/server"
import { system } from "@minecraft/server"

class loreItem {
  constructor(itemStack, lore) {
    this.itemStack = itemStack;
    this.lore = lore;
  }
}


const itemArray = [
  new loreItem("addon:m42", ["§7Soldiers' love, wife,\nand mistress", "§r\n\n", "§r§e5.56x45 Bullet\n§r§730/30\nTYPE: §r§bRifle"]),
  new loreItem("addon:ak37", ["§r§7From jungles to bays,\nit's always present", "§r\n\n", "§r§e7.62x39 Bullet\n§r§730/30\nTYPE: §r§bRifle"]),
  new loreItem("addon:vec35", ["§r§7it is fast, but\na bit too fast", "§r\n\n", "§r§2.45 ACP Bullet\n§720/20\nTYPE: §r§bSMG"]),
  new loreItem("addon:aa15", ["§r§7Collectors love to see their", "§r§7favorites reborn in the modern age", "§r§7and this is no exception", "§r\n\n", "§r§b7.62x54mm Bullet\n§r§711/11\nTYPE: §r§bRifle"]),
  new loreItem("addon:glock53", ["§r§7Exercise your\nSecond Amendment rights", "§r\n\n", "§r§29mm Bullet\n§r§718/18\nTYPE: §r§bPistol"]),
  new loreItem("addon:m22", ["§r§7It can destroy anything\njust like your wrists", "§r\n\n", "§r§§m.50 AE Bullet\n§r§77/7\nTYPE: §r§bPistol"]),
  new loreItem("addon:rvl34", ["§r§7No limit of shots\ntaken to hit the target", "§r\n\n", "§r§29mm Bullet\n§r§717/17\nTYPE: §r§bPistol"]),
  new loreItem("addon:mdxr", ["§r§7Listen to the whistle\nof the authority", "§r\n\n", "§r§m.50 BMG Bullet\n§r§75/5\nTYPE: §r§bSniper"]),
  new loreItem("addon:awm", ["§r§7Unquestionably precious", "§r\n\n", "§r§§c.338 Lapua Bullet\n§r§75/5\nTYPE: §r§bSniper"]),
  new loreItem("addon:acw", ["§r§7The other arm\nof the free world", "§r\n\n", "§r§b308 Winchester Bullet\n§r§730/30\nTYPE: §r§bSMG"]),
  new loreItem("addon:pp42", ["§r§7Just like petting\na purring cat", "§r\n\n", "§r§2HK-9mm Bullet\n§r§730/30\nTYPE: §r§bSMG"]),
  new loreItem("addon:xnc7", ["§r§7Better than empty an hand", "§r\n\n", "§r§2UZI-9mm Bullet\n§r§720/20\nTYPE: §r§bSMG"]),
  new loreItem("addon:rpk37", ["§r§7Cut anything down", "§r§7in your way", "§r\n\n", "§r§e5.56x45mm Bullet\n§r§775/75", "§r§7TYPE: §r§bMachine Gun"]),
  new loreItem("addon:dbn", ["§r§7You can use words and", "§r§7money to solve the", "§r§7problem. Or, just bring it\nto the table", "§r\n\n", "§r§112 Gauge Bullet\n§r§730/30\nTYPE: §r§bShotgun"]),
  new loreItem("addon:rpg", ["§r§7There's nothing the RPG can't deal...", "§r§7except one more shot!", "§r\n\n", "§r§dRPG-7 Rocket\n§r§71/1\nTYPE: §r§bHeavy Weapon"]),
];

system.runInterval(() => {
  world.getAllPlayers().forEach(player => {
    const container = player.getComponent("minecraft:inventory").container
    
    for (let i = 0; i < container.size; i++) {
      const item = container.getItem(i);
      if (!item) continue;
      
      if (!item.typeId.startsWith("addon:")) continue;
      
      const lore = item.getLore()
      const findLore = itemArray.find(data => data.itemStack == item.typeId);
      
      if (lore.length != 0) continue;
      
      if (lore.length < 1 && findLore) {
        item.setLore(findLore.lore);
        container.setItem(i, item);
      }
    }
  })
})